Last Comment Bug 590105 - Make bookmarks panel an arrow panel
: Make bookmarks panel an arrow panel
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 554937 586947 589601
Blocks: 620417 620132
  Show dependency treegraph
 
Reported: 2010-08-24 06:52 PDT by Robert Kaiser
Modified: 2010-12-20 10:03 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: First try (2.97 KB, patch)
2010-12-07 07:41 PST, Robert Kaiser
neil: review+
neil: ui‑review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-08-24 06:52:19 PDT
Bug 586947 adds a really ugly panel header to the add/edit bookmark panel in the browser window, that should be replaced with making it an arrow panel instead, pointing to the bookmark icon in the url bar.
Comment 1 Nochum Sossonko [:Natch] 2010-10-14 18:24:48 PDT
See Firefox equivalent bug 597557.
Comment 2 Robert Kaiser 2010-12-06 06:53:32 PST
Bug 597557 and bug 606343, part 3 have landed the Firefox version of this, it seems we are missing or otherwise not having a lot of the style rules for this panel, so porting is very easy, I should have it locally, but need to test as much as possible on Linux (I think we don't really support the correct arrow panel look on Linux yet).
Comment 3 Robert Kaiser 2010-12-07 07:41:39 PST
Created attachment 495827 [details] [diff] [review]
v1: First try

In theory, this should do it, but I can't test it much on Linux, as arrow panels aren't implemented correctly yet on that platform.
Comment 4 neil@parkwaycc.co.uk 2010-12-07 08:15:47 PST
Bah, if only I had a build on which arrow panels worked properly :-(

/me sets about rebuilding...
Comment 5 Robert Kaiser 2010-12-07 11:17:23 PST
(In reply to comment #4)
> Bah, if only I had a build on which arrow panels worked properly :-(

Oh, I thought you did as you have been doing some reviews over there...
Comment 6 neil@parkwaycc.co.uk 2010-12-07 15:57:40 PST
Comment on attachment 495827 [details] [diff] [review]
v1: First try

We need a bug on getting arrow panels to work in Modern, it sort of works but there's some weird effect on the description textbox.

I had a patch to improve the display of this popup (move the button, improve the title) but sadly this patch improves the popup in an incompatible way :-( I wonder whether firefox's bookmark panel still looks this bad.
Comment 7 Robert Kaiser 2010-12-08 11:22:33 PST
Pushed as http://hg.mozilla.org/comm-central/rev/ecf45b984521

(In reply to comment #6)
> We need a bug on getting arrow panels to work in Modern, it sort of works but
> there's some weird effect on the description textbox.

Sure, filed as bug 617661.

> I had a patch to improve the display of this popup (move the button, improve
> the title) but sadly this patch improves the popup in an incompatible way :-( I
> wonder whether firefox's bookmark panel still looks this bad.

They have a number of CSS rules for this panel which we don't have, so I suspect it might actually look better on their side.

Note You need to log in before you can comment on or make changes to this bug.